## Index

### Classes

- Message

### Interfaces

- Metadata

### Type aliases

- MessageFactory

### Functions

- extractKeyId
- extractOntId
- retrievePublicKey
- retrievePublicKeyState

## Type aliases

### MessageFactory

MessageFactory: function

- Defined in claim/message.ts:30

Factory method type used for creating concrete instances of Message.

#### Type declaration

- - (metadata: Metadata, signature: Signature | undefined): T

  - #### Parameters

    - ##### metadata: Metadata

    - ##### signature: Signature | undefined

    #### Returns T

## Functions

### extractKeyId

- extractKeyId(publicKeyId: string): number

- - Defined in claim/message.ts:398

  Extracts key id from public key Id.

  #### Parameters

  - ##### publicKeyId: string

    The ID of a signature public key

  #### Returns number

### extractOntId

- extractOntId(publicKeyId: string): string

- - Defined in claim/message.ts:383

  Extracts ONT ID from public key Id.

  #### Parameters

  - ##### publicKeyId: string

    The ID of a signature public key

  #### Returns string

### retrievePublicKey

- retrievePublicKey(publicKeyId: string, url: string): Promise<PublicKey>

- - Defined in claim/message.ts:334

  Gets the public key associated with ONT ID from blockchain.

  #### Parameters

  - ##### publicKeyId: string

    The ID of a signature public key

  - ##### url: string

    Restful endpoint of Ontology node

  #### Returns Promise<PublicKey>

### retrievePublicKeyState

- retrievePublicKeyState(publicKeyId: string, url: string): Promise<PublicKeyStatus>

- - Defined in claim/message.ts:363

  Gets the state of public key associated with ONT ID from blockchain.

  #### Parameters

  - ##### publicKeyId: string

    The ID of a signature public key

  - ##### url: string

    Restful endpoint of Ontology node

  #### Returns Promise<PublicKeyStatus>

Generated using TypeDoc